#!/usr/local/bin/ruby

# 
# convert from GD-1.14/demos/polys.pl
#         by   Nakamura Noritsugu
# 

require "GD"

# create a new image
im = GD::Image.new(225,180)

# allocate some colors
black = im.colorAllocate(0,0,0)
white = im.colorAllocate(255,255,255)
red = im.colorAllocate(255,0,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

# Create a triangle
poly = GD::Polygon.new
poly.addPt(0,50)
poly.addPt(25,25)
poly.addPt(50,50)
im.filledPolygon(poly,blue)

# offset it down and to the right
poly.offset(100,100)
im.filledPolygon(poly,red)

# make it twice as wide and move it upward a bit
poly.map(50,50,100,100,10,10,110,60)
im.filledPolygon(poly,yellow)

# make it real tall
# 3 type style
# 1.
#b = poly.bounds
#poly.map(b[0],b[1],b[2],b[3],50,20,80,160)
# 2.
poly.map(*(poly.bounds+[50,20,80,160]))
# 3.
#poly.map(50,20,80,160)
im.filledPolygon(poly,white)

im.gif STDOUT
